#!/bin/bash

# set global sys env
. `dirname $0`/../.env

if [ X$1 = X ]
then
  echo ""
  echo "Usage:"
  echo "   $0 Timeout"
  echo ""
  echo "NOTE: edit $0 file to set connection params, etc."
  echo ""
  exit 2
fi

#===================================================================
# PostgreSQL stats directly via WebX.pgSQL
#===================================================================

# Set connection params:
if [ -a $DIR/bin/.env-pgsql ]
then
  . $DIR/bin/.env-pgsql
else
  User=username
  Passwd=password
  DB=dbname[@server:port]
  export User Passwd DB
fi

cd $DIR/bin
exec $DIR/bin/WebX.pgSQL $DIR/bin/x.pgsqlSTAT -Timeout $1
