#!/bin/bash

# set global sys env
. `dirname $0`/../.env

if [ X$1 = "X-h" ]
then
  echo ""
  echo "Usage:"
  echo "   $0 [-h]"
  echo ""
  echo "NOTE: edit $0 file to set connection params, etc."
  echo ""
  exit 2
fi

#===================================================================
# MySQL infos directly via WebX.mySQL
#===================================================================

# Set connection params:
if [ -a $DIR/bin/.env-mysql ]
then
  . $DIR/bin/.env-mysql
else
  User=username
  Passwd=password
  Host=server:port
  export User Passwd Host
fi

cd $DIR/bin
exec $DIR/bin/WebX.mySQL $DIR/bin/x.mysqlINFO $1 $2 $3 $4 $5 $6 $7 $8 $9
